Skip to main content
GET
/
bankaccounts
/
{id}
/
matter-balances
Get bank account matter balances
curl --request GET \
  --url https://api.smokeball.com/bankaccounts/{id}/matter-balances \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "value": [
    {
      "matter": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "balance": 1000,
      "protectedBalance": 1000,
      "availableBalance": 1000,
      "unpresentedChequesBalance": 0,
      "lastUpdated": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

id
string
required

Query Parameters

Offset
integer<int32>
Required range: 0 <= x <= 2147483647
Limit
integer<int32>
Required range: 1 <= x <= 500
LastUpdated
string<date-time>

Returns items updated since the specified date and time.

Example:

"2022-04-23T14:00:00Z"

MatterId
string

Filters items by the specified matter ID.

Example:

"da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262"

Response

When request is successful. Returns a collection of 'BankAccountMatterBalance' objects.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object
value
object[] | null